%define		pkgname		apps

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary: 	X.Org X11 applications
Name: 		xorg-x11-%{pkgname}
Version: 	7.5
Release: 	2
License: 	MIT/X11
Group: 		User Interface/X
URL: 		http://www.x.org
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

# Clock apps
Source0:  http://xorg.freedesktop.org/releases/individual/app/oclock-1.0.2.tar.bz2 
Source1:  http://xorg.freedesktop.org/releases/individual/app/xclock-1.0.5.tar.bz2
# X Window Dump (xwd) utilities
Source2:  http://xorg.freedesktop.org/releases/individual/app/xwd-1.0.4.tar.bz2
Source3:  http://xorg.freedesktop.org/releases/individual/app/xwud-1.0.3.tar.bz2
Source4:  http://xorg.freedesktop.org/releases/individual/app/xpr-1.0.3.tar.bz2
# Miscellaneous other applications
Source5:  http://xorg.freedesktop.org/releases/individual/app/luit-1.1.0.tar.bz2
Source6:  http://xorg.freedesktop.org/releases/individual/app/x11perf-1.5.2.tar.bz2
Source7:  http://xorg.freedesktop.org/releases/individual/app/xbiff-1.0.2.tar.bz2
Source8:  http://xorg.freedesktop.org/releases/individual/app/xclipboard-1.1.1.tar.bz2
Source9:  http://xorg.freedesktop.org/releases/individual/app/xconsole-1.0.4.tar.bz2
Source10: http://xorg.freedesktop.org/releases/individual/app/xcursorgen-1.0.4.tar.bz2
Source11: http://xorg.freedesktop.org/releases/individual/app/xeyes-1.1.1.tar.bz2
Source12: http://xorg.freedesktop.org/releases/individual/app/xkill-1.0.3.tar.bz2
Source13: http://xorg.freedesktop.org/releases/individual/app/xload-1.1.0.tar.bz2
Source14: http://xorg.freedesktop.org/releases/individual/app/xlogo-1.0.3.tar.bz2
Source15: http://xorg.freedesktop.org/releases/individual/app/xmag-1.0.4.tar.bz2
Source16: http://xorg.freedesktop.org/releases/individual/app/xmessage-1.0.3.tar.bz2

# FIXME: Temporary dependencies on autotools packages for now
BuildRequires: autoconf automake

BuildRequires: pkg-config
BuildRequires: xorg-x11-util-macros
# xbiff needs xbitmaps-devel
BuildRequires: xbitmaps-devel
BuildRequires: libXpm-devel
BuildRequires: libXfixes-devel

Requires:	libXt
Requires:	rpm >= 4.4.2.3-1

Requires(pre): xorg-x11-filesystem >= 0.99.2-3

Provides:	luit
Provides:	oclock
Provides:	x11perf
Provides:	xbiff
Provides:	xclipboard
Provides:	xclock
Provides:	xconsole
Provides:	xcursorgen
Provides:	xeyes
Provides:	xkill
Provides:	xload
Provides:	xlogo
Provides:	xmag
Provides:	xmessage
Provides:	xpr
Provides:	xwd
Provides:	xwud

# NOTE: xwd, xwud, luit used to be in these.
Obsoletes: xorg
# NOTE: x11perf, xclipboard used to be in these.
Obsoletes: xorg-tools

#Automatically resolved build dependencies
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: libfontenc-devel
BuildRequires: libICE-devel
BuildRequires: libpng-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXaw-devel
BuildRequires: libXcursor-devel
BuildRequires: libXext-devel
BuildRequires: libXft-devel
BuildRequires: libxkbfile-devel
BuildRequires: libXmu-devel
BuildRequires: libXrender-devel
BuildRequires: libXt-devel
BuildRequires: zlib-devel

%description
A collection of common X Window System applications.

%prep
%setup -q -c %{name}-%{version} -a1 -a2 -a3 -a4 -a5 -a6 -a7 -a8 -a9 -a10 -a11 -a12 -a13 -a14 -a15 -a16

%build
# Build all apps
{
   for app in * ; do
      pushd $app

      case $app in
         x11perf*)
            aclocal ; automake ; autoconf
         ;;
         luit*)
            autoconf
         ;;
      esac

      %configure --disable-xprint
      make
      popd
   done
}

%install
rm -rf $RPM_BUILD_ROOT
# Install all apps
{
   for app in * ; do
      pushd $app
      make install DESTDIR=$RPM_BUILD_ROOT
      popd
   done
}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_bindir}/luit
%{_bindir}/oclock
%{_bindir}/x11perf
%{_bindir}/x11perfcomp
%{_bindir}/xbiff
%{_bindir}/xclipboard
%{_bindir}/xclock
%{_bindir}/xconsole
%{_bindir}/xcursorgen
%{_bindir}/xcutsel
%{_bindir}/xdpr
%{_bindir}/xeyes
%{_bindir}/xkill
%{_bindir}/xload
%{_bindir}/xlogo
%{_bindir}/xmag
%{_bindir}/xmessage
%{_bindir}/xpr
%{_bindir}/xwd
%{_bindir}/xwud
%dir %{_datadir}/X11
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Clock-color
%{_datadir}/X11/app-defaults/XClipboard
%{_datadir}/X11/app-defaults/XClock
%{_datadir}/X11/app-defaults/XClock-color
%{_datadir}/X11/app-defaults/XConsole
%{_datadir}/X11/app-defaults/XLoad
%{_datadir}/X11/app-defaults/XLogo
%{_datadir}/X11/app-defaults/XLogo-color
%{_datadir}/X11/app-defaults/Xmag
%{_datadir}/X11/app-defaults/Xmessage
%{_datadir}/X11/app-defaults/Xmessage-color
%{_libdir}/X11/x11perfcomp/Xmark
%{_libdir}/X11/x11perfcomp/fillblnk
%{_libdir}/X11/x11perfcomp/perfboth
%{_libdir}/X11/x11perfcomp/perfratio
%{_mandir}/man1

%changelog
* Wed Dec 08 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-3
- oclock-1.0.2
- xclock-1.0.5
- xwd-1.0.4
- xwud-1.0.3
- luit-1.1.0
- x11perf-1.5.2
- xclipboard-1.1.1
- xconsole-1.0.4
- xcursorgen-1.0.4
- xeyes-1.1.1
- xkill-1.0.3
- xload-1.1.0
- xlogo-1.0.3
- xmag-1.0.4
* Sat Aug 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 7.5-2
- luit 1.0.5
- xbiff 1.0.2
- xeyes 1.1.0
- xlogo 1.0.2
- xmag 1.0.3
- xmessage 1.0.3
* Mon Oct 19 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.5-1
- version update
* Wed Mar 04 2009 Christian Metzen <metzench@ccux-linux.de> 7.4-2
- rebuild against libXaw-1.0.5
* Sun Sep 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.4-1
- Version update
* Sat Sep 06 2008 Stefan Gottwald <gotti@ccux-linux.de> 7.3-3
- updated luit to version 1.0.3
- updated x11perf to version 1.5
- updated xwd to version 1.0.2
* Tue May 27 2008 Christian Wasem <wasem@ccux-linux.de> 7.3-2
- fixed bug : BUG ID #9
* Sat Apr 21 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version update
* Sun Jul 02 2006 Christian Metzen <metzench@ccux-linux.de> 7.1-1
- Initial release
